﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.GanttView;

namespace GanttDragDependencies
{
    public class CustomGanttTask : GanttTask
    {
        public CustomGanttTask(DateTime start, DateTime end, string title)
            : base(start, end, title)
        {
            this._dependantTasks = new ObservableCollection<CustomGanttTask>();
        }

        private ObservableCollection<CustomGanttTask> _dependantTasks;
        public ObservableCollection<CustomGanttTask> DependantTasks
        {
            get
            {
                return this._dependantTasks;
            }
        }
    }
}
